Arduino

Reference Language | Libraries | Comparison | Changes

Ethernet : Client class

## Client

#### Description

Client is the base class for all Ethernet client based calls. It is not called directly, but invoked whenever you use a function that relies on it.

#### Functions

- EthernetClient()
- connected()
- connect()
- write()
- print()
- println()
- available()
- read()
- flush()
- stop()

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

©Arduino | Edit Page | Page History | Printable View | All Recent Site Changes